/*
 * Jamel Abassou
 * CSII 2
 * Le 3/02/2005
 * Class AdaptateurPieces
 */

import java.awt.event.* ;

//Adapter qui va gerer tous les evenements de clic sur les boutons de monnaie
public class AdaptateurPieces implements ActionListener {
	
	Appli appli;
	private float somme;
	boolean somebool=false;
		
	//Constructeur par defaut
	AdaptateurPieces(Appli adPiece)
	{
		appli = adPiece ;
		appli.Piece010.addActionListener(this) ;
		appli.Piece020.addActionListener(this) ;
		appli.Piece050.addActionListener(this) ;
		appli.Piece1.addActionListener(this) ;
		appli.Piece2.addActionListener(this) ;
		appli.CB.addActionListener(this) ;
			
	}
	
	public void actionPerformed(ActionEvent evt)
	{
		/*
		 * initialisation de la variable somme une
		 * seul fois avec un booleen pour ne pas le refaire
		 * a chaque fois
		 */ 
		if(somebool==false)
		{
			somme =Ticket.sommedue;
			somebool=true;
		}
		
		//Ici on dcremente la somme par rapport au boutton clicker		
		if(evt.getActionCommand().equals("0.10"))
		{
			somme=somme-(float)0.1;
			//Arrondir la valeur a 10^-2 
			somme *= 100;
			somme = (int)(somme+.5);
			somme /= 100;
			appli.JtextSommePayer.setText(""+somme+"");					
		}
		
		if(evt.getActionCommand().equals("0.20"))
		{
			somme= somme-(float)0.2;
			//Arrondir la valeur a 10^-2 
			somme *= 100;
			somme = (int)(somme+.5);
			somme /= 100;
			appli.JtextSommePayer.setText(""+somme+"");					
		}
		
		if(evt.getActionCommand().equals("0.50"))
		{
			somme= somme-(float)0.5;
			//Arrondir la valeur a 10^-2 
			somme *= 100;
			somme = (int)(somme+.5);
			somme /= 100;
			appli.JtextSommePayer.setText(""+somme+"");					
		}
		
		if(evt.getActionCommand().equals("1"))
		{
			somme= somme-1;
			//Arrondir la valeur a 10^-2 
			somme *= 100;
			somme = (int)(somme+.5);
			somme /= 100;
			appli.JtextSommePayer.setText(""+somme+"");					
		}
		
		if(evt.getActionCommand().equals("2"))
		{
			somme=somme-2;
			//Arrondir la valeur a 10^-2 
			somme *= 100;
			somme = (int)(somme+.5);
			somme /= 100;
			appli.JtextSommePayer.setText(""+somme+"");			
		}
			
		//Permet de payer tout d'un seul coup
		if(evt.getActionCommand().equals("CB"))
		{
			somme=somme-somme;				
		}
		
		if(somme==0)
		{
			appli.JtextMonnaie.setText("Voici votre Ticket");
			appli.JtextSommePayer.setText(null);
			//Appel de la mthode EnableMonnaie() qui va grise les bouttons de pices
			appli.EnableMonnaie();
			somebool=false;
			//On repasse les bouttons et la list en editable
			appli.entree.setEnabled(true);
			appli.sortie.setEnabled(true);
			appli.list.setEnabled(true);
		}
		
		//Si on a recu une somme suprieur a la somme demand on rend la monnaie
		if(somme<0)
		{
			appli.JtextMonnaie.setText(""+(-somme)+"");
			appli.JtextSommePayer.setText(null);
			//Appel de la mthode EnableMonnaie() qui va grise les bouttons de pices
			appli.EnableMonnaie();
			somebool=false;
			//On repasse les bouttons et la list en editable
			appli.entree.setEnabled(true);
			appli.sortie.setEnabled(true);
			appli.list.setEnabled(true);
		}

	}

	
}
