/*
 * Jamel Abassou
 * CSII 2
 * Le 3/02/2005
 * Class Appli qui hrite de la classe JApplet
 */

import javax.swing.JApplet;
import javax.swing.JButton;
import javax.swing.JList;
import javax.swing.JLabel;
import javax.swing.JSeparator;
import javax.swing.SwingConstants;
import javax.swing.JTextField;
import java.util.Vector;

/*
 * COnstruction et initialisation de l'applet
 */

public class Appli extends JApplet
{
	public JLabel HDepart;	
	public JLabel HArrive;
	public JLabel Sommepayer;
	public JLabel titre;
	public JButton entree;
	public JButton sortie;	
	private JLabel labelNbPlaces;
	public JList list;	
	public JButton Piece010 ;
	public JButton Piece020 ;
	public JButton Piece050 ;
	public JButton Piece1 ;
	public JButton Piece2 ;
	public JButton CB;
	public JTextField JtextMonnaie;
	public JTextField JtextSommePayer;
	public JTextField JtextHD;
	public JTextField JtextHA;
	public JTextField textNbPlaces;
	private JSeparator separator;
	private JSeparator separator_1;
	public JLabel Monnaiearendre;
	
	/* Cree un vecteur  qui permet de stocker les lments de la liste
	*  Afin de pouvoir les traiter (sorte de tableau dynamique)
	*/
	Vector listeItems = new Vector();
	
	//Constructeur par defaut
	public Appli() {
		
		//Appel du constructeur de la super classe
		super();
		
		/* Pour placer vraiment librement tes objets
		 * On initialiser le layout  null et on place
		 *  les composants avec la mthode setBounds (x,y,width,height)
		 */
		getContentPane().setLayout(null);

		//On Construit l'interface avec les dimension de chaques composant
		
		entree = new JButton();
		//Dimension du boutton
		entree.setBounds(11, 43, 110, 30);
		//On l'ajoute a l'applet
		getContentPane().add(entree);
		//On dfinit son label
		entree.setText("Entrer");

		list = new JList();
		list.setBounds(152, 37, 120, 145);
		getContentPane().add(list);
		
		sortie = new JButton();
		sortie.setBounds(282, 44, 110, 30);
		getContentPane().add(sortie);
		sortie.setText("Sortir");
		
		titre = new JLabel();
		titre.setBounds(150, 2, 149, 30);
		getContentPane().add(titre);
		titre.setText("Super CarPark");
		
		Piece010 = new JButton();
		Piece010.setBounds(9, 232, 65, 30);
		getContentPane().add(Piece010);
		Piece010.setText("0.10");
		
		Piece020 = new JButton();
		Piece020.setBounds(82, 232, 65, 30);
		getContentPane().add(Piece020);
		Piece020.setText("0.20");

		Piece050 = new JButton();
		Piece050.setBounds(9, 278, 65, 30);
		getContentPane().add(Piece050);
		Piece050.setText("0.50");

		Piece1 = new JButton();
		Piece1.setBounds(83, 278, 65, 30);
		getContentPane().add(Piece1);
		Piece1.setText("1");

		Piece2 = new JButton();
		Piece2.setBounds(9, 328, 65, 30);
		getContentPane().add(Piece2);
		Piece2.setText("2");
		
		CB = new JButton();
		CB.setBounds(83, 328, 65, 30);
		getContentPane().add(CB);
		CB.setText("CB");

		Sommepayer = new JLabel();
		Sommepayer.setBounds(178, 228, 110, 30);
		getContentPane().add(Sommepayer);
		Sommepayer.setText("Sommes  payer");

		separator = new JSeparator();
		separator.setBounds(-2, 192, 513, 12);
		getContentPane().add(separator);

		separator_1 = new JSeparator();
		separator_1.setOrientation(SwingConstants.VERTICAL);
		separator_1.setBounds(158, 224, 5, 140);
		getContentPane().add(separator_1);

		Monnaiearendre = new JLabel();
		Monnaiearendre.setBounds(178, 288, 100, 30);
		getContentPane().add(Monnaiearendre);
		Monnaiearendre.setText("Monnaie  rendre");

		JtextSommePayer = new JTextField();
		JtextSommePayer.setEditable(false);
		JtextSommePayer.setBounds(280, 236, 66, 19);
		getContentPane().add(JtextSommePayer);

		JtextMonnaie = new JTextField();
		JtextMonnaie.setEditable(false);
		JtextMonnaie.setBounds(280, 297, 110, 19);
		getContentPane().add(JtextMonnaie);
		
		labelNbPlaces = new JLabel();
		labelNbPlaces.setBounds(283, 147, 170, 30);
		getContentPane().add(labelNbPlaces);
		labelNbPlaces.setText("Nombre de places restantes");
		
		textNbPlaces = new JTextField();
		textNbPlaces.setEditable(false);
		textNbPlaces.setBounds(450, 154, 35, 22);
		getContentPane().add(textNbPlaces);
		
		//	Adaptateur de mes bouttons
		AdaptateurEntree AdaptEntree = new AdaptateurEntree(this);
		AdaptateurSortie AdaptSortie = new AdaptateurSortie(this);
		AdaptateurPieces AdaptPieces = new AdaptateurPieces(this);
		AdaptateurMouse AdaptMouse = new AdaptateurMouse(this);
		DisableMonnaie();		
	}
		
		//methode d'initialisation du thread
		public void init()
		{		
			//Demarrage du Thread
			MonThread monthread = new MonThread(this);
			//Initialisation du Nbplaces lors du lancement ou d'un rafrachissement
			Ticket.NbPlaces=5;
			//Demarrage du thread
			monthread.start();	
		}
	
		//Ajouter un lement a la liste
		public void AjoutList()
		{
			//Gration d'un nombre alaatoire
			double d = Math.random();
			int NbAlatoire = (int) (d * 10);
			//Ajout d'une voiture dans le parking+ nombre alatoire
			listeItems.add("Voiture "+NbAlatoire);
			//Permet de rafrachir la liste
			list.setListData(listeItems);		
		}
		
		//Retirer un lement a la liste
		public void RetirerList(int index)
		{
			/* On retire l'element par rapport au numero
			*  De l'index envoyer par l'AdaptateurMouse
			*/
			listeItems.remove(index);
			//Permet de rafrachir la liste
			list.setListData(listeItems);
		}
	
		//Rendre inaccesible les pieces
		public void DisableMonnaie()
		{
			Piece010.setEnabled(false);
			Piece020.setEnabled(false);
			Piece050.setEnabled(false);
			Piece1.setEnabled(false);
			Piece2.setEnabled(false);
			CB.setEnabled(false);
		}
	
		//Selon l'etat actuel on met les boutons (pices) dans l'etat inbvers
		public void EnableMonnaie()
		{
			Piece010.setEnabled(!Piece010.isEnabled());
			Piece020.setEnabled(!Piece020.isEnabled());
			Piece050.setEnabled(!Piece050.isEnabled());
			Piece1.setEnabled(!Piece1.isEnabled());
			Piece2.setEnabled(!Piece2.isEnabled());
			CB.setEnabled(!CB.isEnabled());
		}
		
}